#############################################################################
# Makefile for building wrl
# Generated by tmake at 10:20, 2002/03/22
#     Project: wrl
#    Template: lib
#############################################################################

####### Compiler, tools and options

CC	=	g++
CXX	=	gcc
CFLAGS	=	-fvtable-thunks -O
CXXFLAGS=	-fvtable-thunks -O
INCPATH	=	-I"include" -I"include/private" -I"include/platform/win32-g++"
AR	=	ar cqs
RANLIB	=	
MOC	=	moc
UIC	=	

ZIP	=	zip -r -9

####### Files

HEADERS =	include/cmdline.h \
		include/preferences.h \
		include/qasciidict.h \
		include/qapplication.h \
		include/qbitarray.h \
		include/qbuffer.h \
		include/qcache.h \
		include/qcleanuphandler.h \
		include/qconfig.h \
		include/qcstring.h \
		include/qdatastream.h \
		include/qdatetime.h \
		include/qdict.h \
		include/qdir.h \
		include/private/qdir_p.h \
		include/qdom.h \
		include/qfeatures.h \
		include/qfile.h \
		include/qfiledefs_p.h \
		include/qfileinfo.h \
		include/qgarray.h \
		include/qgcache.h \
		include/qgdict.h \
		include/qglist.h \
		include/qglobal.h \
		include/qhostaddress.h \
		include/qgvector.h \
		include/qintdict.h \
		include/qiodevice.h \
		include/qlibrary.h \
		include/qmap.h \
		include/qmemarray.h \
		include/qmodules.h \
		include/qnamespace.h \
		include/qpair.h \
		include/qplatformdefs.h \
		include/qptrcollection.h \
		include/qptrdict.h \
		include/qptrlist.h \
		include/qptrstack.h \
		include/qptrvector.h \
		include/qregexp.h \
		include/qshared.h \
		include/qsocketdevice.h \
		include/qstring.h \
		include/qstringlist.h \
		include/qstrlist.h \
		include/qt_windows.h \
		include/qtextstream.h \
		include/qtl.h \
		include/qtranslator.h \
		include/quuid.h \
		include/qvaluelist.h \
		include/qvaluestack.h \
		include/private/qgpluginmanager_p.h \
		include/private/qlibrary_p.h \
		include/private/qpluginmanager_p.h \
		include/qxml.h \
		include/platform/win32-g++/qplatformdefs.h
SOURCES =	src/cmdline.cpp \
		src/preferences.cpp \
		src/qapplication.cpp \
		src/qbitarray.cpp \
		src/qbuffer.cpp \
		src/qcstring.cpp \
		src/qdatastream.cpp \
		src/qdatetime.cpp \
		src/qdir.cpp \
		src/qdom.cpp \
		src/qfile.cpp \
		src/qfileinfo.cpp \
		src/qgarray.cpp \
		src/qgcache.cpp \
		src/qgdict.cpp \
		src/qglist.cpp \
		src/qglobal.cpp \
		src/qgpluginmanager.cpp \
		src/qgvector.cpp \
		src/qhostaddress.cpp \
		src/qiodevice.cpp \
		src/qlibrary.cpp \
		src/qmap.cpp \
		src/qptrcollection.cpp \
		src/qregexp.cpp \
		src/qsocketdevice.cpp \
		src/qstring.cpp \
		src/qstringlist.cpp \
		src/qtextstream.cpp \
		src/quuid.cpp \
		src/qxml.cpp \
		src/qdir_win.cpp \
		src/qfile_win.cpp \
		src/qfileinfo_win.cpp \
		src/qlibrary_win.cpp \
		src/qsocketdevice_win.cpp
OBJECTS =	src/cmdline.o \
		src/preferences.o \
		src/qapplication.o \
		src/qbitarray.o \
		src/qbuffer.o \
		src/qcstring.o \
		src/qdatastream.o \
		src/qdatetime.o \
		src/qdir.o \
		src/qdom.o \
		src/qfile.o \
		src/qfileinfo.o \
		src/qgarray.o \
		src/qgcache.o \
		src/qgdict.o \
		src/qglist.o \
		src/qglobal.o \
		src/qgpluginmanager.o \
		src/qgvector.o \
		src/qhostaddress.o \
		src/qiodevice.o \
		src/qlibrary.o \
		src/qmap.o \
		src/qptrcollection.o \
		src/qregexp.o \
		src/qsocketdevice.o \
		src/qstring.o \
		src/qstringlist.o \
		src/qtextstream.o \
		src/quuid.o \
		src/qxml.o \
		src/qdir_win.o \
		src/qfile_win.o \
		src/qfileinfo_win.o \
		src/qlibrary_win.o \
		src/qsocketdevice_win.o
INTERFACES =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	lib/wrl.lib
INTERFACE_DECL_PATH = .

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	-rm -f $(TARGET)
	$(AR) $(TARGET) $(OBJECTS) $(OBJMOC)

moc: $(SRCMOC)

tmake: Makefile.mingw

Makefile.mingw: wrl.pro
	tmake wrl.pro -o Makefile.mingw

dist:
	$(ZIP) wrl.zip wrl.pro $(SOURCES) $(HEADERS) $(DIST)

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(TARGET)
	-rm -f *~ core

####### Compile

src/cmdline.o: src/cmdline.cpp

src/preferences.o: src/preferences.cpp

src/qapplication.o: src/qapplication.cpp

src/qbitarray.o: src/qbitarray.cpp

src/qbuffer.o: src/qbuffer.cpp

src/qcstring.o: src/qcstring.cpp

src/qdatastream.o: src/qdatastream.cpp

src/qdatetime.o: src/qdatetime.cpp

src/qdir.o: src/qdir.cpp

src/qdom.o: src/qdom.cpp

src/qfile.o: src/qfile.cpp

src/qfileinfo.o: src/qfileinfo.cpp

src/qgarray.o: src/qgarray.cpp

src/qgcache.o: src/qgcache.cpp

src/qgdict.o: src/qgdict.cpp

src/qglist.o: src/qglist.cpp

src/qglobal.o: src/qglobal.cpp

src/qgpluginmanager.o: src/qgpluginmanager.cpp

src/qgvector.o: src/qgvector.cpp

src/qhostaddress.o: src/qhostaddress.cpp

src/qiodevice.o: src/qiodevice.cpp

src/qlibrary.o: src/qlibrary.cpp

src/qmap.o: src/qmap.cpp

src/qptrcollection.o: src/qptrcollection.cpp

src/qregexp.o: src/qregexp.cpp

src/qsocketdevice.o: src/qsocketdevice.cpp

src/qstring.o: src/qstring.cpp

src/qstringlist.o: src/qstringlist.cpp

src/qtextstream.o: src/qtextstream.cpp

src/quuid.o: src/quuid.cpp

src/qxml.o: src/qxml.cpp

src/qdir_win.o: src/qdir_win.cpp

src/qfile_win.o: src/qfile_win.cpp

src/qfileinfo_win.o: src/qfileinfo_win.cpp

src/qlibrary_win.o: src/qlibrary_win.cpp

src/qsocketdevice_win.o: src/qsocketdevice_win.cpp

